@import "reset.css";

@font-face{

	font-family: "linuxLib";
	src:url("../fonts/linux-libertine/LinLibertine_R.otf");
	font-weight: normal;
	font-style: normal;

}

@font-face{

	font-family: "archivo";
	src:url("../fonts/archivo/ArchivoBlack-Regular.otf");
	font-weight: normal;
	font-style: normal;	

}

@font-face{

	font-family: "courr";
	src:url("../fonts/not-courrier/NotCourierSans.otf");
	font-weight: normal;
	font-style: normal;		
}

html{

	font-size: 32px;
}

body{

	font-family: "linuxLib";
	font-size: 1rem;
	padding: 1rem 2rem 1rem 1rem;
	line-height: 38px;

}


.code{

	font-family: "courr";
	color: magenta;
}

.through{

	text-decoration: line-through;

}

strong{

	font-family: "archivo";
}

.pink{

	color: magenta;
}

a{

	color: magenta;
}

a:hover{

	color: blue;
}

a::after{

	display: inline-block;
	content: '➹';
	vertical-align: super;
	line-height: 0;
	font-size: 0.7rem;
	width: 0.7rem;
	text-align: right;
}

pre{

	font-family: "courr";
	font-size: 0.7rem;
	line-height: 1rem;
	background-color: #eeeeee;
	color: blue;
	margin: 0 0 1rem 0;

}

header{

	display: flex;
	flex-wrap: wrap;
	width: 100%;
	margin: 0 0 6rem 0;


	h1{

		font-family: "archivo";
		width: 40%;

	}

	h2, h3, h4{

		width: 20%;
		font-size: 0.7rem;
	}

	nav{

		width: 100%;
		margin: 2rem 0 0 0;

		li{

			.sign{

				color: magenta;
			}
		}
	}
}

main{

	counter-reset: def;

	section{

		margin: 0 0 2rem 0;
	}


	section:first-of-type{

		h2{

		}
	}

	section.list{

		display: flex;
		flex-wrap: wrap;
		max-width: 80%;

		h2{

			width: 100%;
			padding: 0 0 0 6rem;
		}

		h3{

			width: 6rem;
		}

		ul{

			width: calc(100% - 6rem);
		}

		h2::before{

			content: "*◡*";
		}

		h2::after{

			content: "*◡*";
			text-align: right;
		}
	}


	h2{

		margin: 0 0 1rem 0;
		font-family: "archivo";

	}

	h2::before,
	h2::after{

		color: magenta;
		font-family: "linuxLib";
		display: inline-block;
		width: 2rem;
	}


	h3{

		color: magenta;
		font-size: 0.7rem;
		font-family: "courr";

	}

	h3::before{

		content: "[";
	}

	h3::after{

		content: "]";
	}

	ul.tech{

		li{

			.sign::before{

				content: "◡";

			}

		}
	}	

	ul.design{

		li{

			.sign::before{

				content: "↪";
			}
		}
	}

	ul:not(.start){

		margin: 0 0 1rem 0;

		li{

			display: flex;

			.sign::before{

				display: inline-block;
				width: 2rem;
				content: "◠";
				color: magenta;

			}

			.item{

				width: calc(100% - 2rem);

			}
		}

	}



	ul.start{

		counter-reset: steps;

		li::before{

			counter-increment: steps;
			content: counter(steps) '.';
			font-size: 0.7rem;
			width: 1rem;
			display: inline-block;

		}

	}

	p{

		width: 75%;
	}

	.defRef{

		counter-increment: def;

	}

	.def::before{

		display: inline-block;

	}


	.def::before,
	.defRef::after{

		content: "(" counter(def) ")";
		vertical-align: super;
		line-height: 0;
		font-size: 0.5rem;
		width: 1rem;
	}

	.def::before{

		margin: 0 0 0 -1rem;
	}

	.def{

		display: inline-block;
		position: absolute;
		right: 2rem;
		width: calc((100% - 3rem) / 5);
		font-size: 0.7rem;
		line-height: 1rem;
	}

	table{

		tr:nth-child(even){

			border-bottom: dashed 1px magenta;

		}

		tr{


			td:first-of-type,
			td:nth-child(2){

				width: 15%;
				font-size: 0.7rem;
				font-family: "courr";
			}

			td:first-of-type{


				color: magenta;

			}
		}
	}

	section{


		>.text,
		>ul{

			margin: 0 0 1.5rem 0;
		}

		>.text.print{

			p, li{

				margin: 0 0 1.5rem 0;
			}
		}
		


	}
}

@media only screen and (max-width: 1300px){

	html{

		font-size: 28px;
	}

	body{

		line-height: 34px;
	}

}